Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Seek Class Reference

## Public Member Functions
| Seek (AICharacter *ai_ch, LVecBase3 pos, float seek_wt=1.0)
| Seek (AICharacter *ai_ch, NodePath target_object, float seek_wt=1.0)
LVecBase3 | do_seek ()
| This function performs the seek and returns a seek force which is used in the calculate_prioritized function.

## Public Attributes
AICharacter * | _ai_char
LVecBase3 | _seek_accum_force
LVecBase3 | _seek_direction
bool | _seek_done
LVecBase3 | _seek_position
float | _seek_weight

## Detailed Description

Definition at line 22 of file seek.h.

## Constructor & Destructor Documentation

## ◆ Seek() [1/2]

Seek::Seek | ( | AICharacter * | ai_ch,
|  | NodePath | target_object,
|  | float | seek_wt = 1.0 )

Definition at line 16 of file seek.cxx.

## ◆ Seek() [2/2]

Seek::Seek | ( | AICharacter * | ai_ch,
|  | LVecBase3 | pos,
|  | float | seek_wt = 1.0 )

Definition at line 28 of file seek.cxx.

## ◆ ~Seek()

Seek::~Seek | ( |  | ) |

Definition at line 40 of file seek.cxx.

## Member Function Documentation

## ◆ do_seek()

LVecBase3 Seek::do_seek | ( |  | ) |

This function performs the seek and returns a seek force which is used in the calculate_prioritized function.

This function is not to be used by the user.

Definition at line 48 of file seek.cxx.

## Member Data Documentation

## ◆ _ai_char

AICharacter* Seek::_ai_char

Definition at line 25 of file seek.h.

## ◆ _seek_accum_force

LVecBase3 Seek::_seek_accum_force

Definition at line 31 of file seek.h.

## ◆ _seek_direction

LVecBase3 Seek::_seek_direction

Definition at line 29 of file seek.h.

## ◆ _seek_done

bool Seek::_seek_done

Definition at line 30 of file seek.h.

## ◆ _seek_position

LVecBase3 Seek::_seek_position

Definition at line 27 of file seek.h.

## ◆ _seek_weight

float Seek::_seek_weight

Definition at line 28 of file seek.h.

The documentation for this class was generated from the following files:

- contrib/src/ai/seek.h
- contrib/src/ai/seek.cxx